net.sf.jasperreports.engine.util

## Class JRTextAttribute

- java.lang.Object
- - java.text.AttributedCharacterIterator.Attribute
  - - net.sf.jasperreports.engine.util.JRTextAttribute

- All Implemented Interfaces:
    java.io.Serializable

      public final class JRTextAttribute
      extends java.text.AttributedCharacterIterator.Attribute

  Version:
    $Id: JRTextAttribute.java 6906 2014-02-14 13:51:17Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRTextAttribute` | `HYPERLINK`
    `static JRTextAttribute` | `IS_PDF_EMBEDDED`
    `static JRTextAttribute` | `PDF_ENCODING`
    `static JRTextAttribute` | `PDF_FONT_NAME`
    `static JRTextAttribute` | `SEARCH_HIGHLIGHT`

    - ### Fields inherited from class java.text.AttributedCharacterIterator.Attribute

      `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `readResolve()` Resolves instances being deserialized to the predefined constants.

    - ### Methods inherited from class java.text.AttributedCharacterIterator.Attribute

      `equals, getName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PDF_FONT_NAME

          public static final JRTextAttribute PDF_FONT_NAME

    - #### PDF_ENCODING

          public static final JRTextAttribute PDF_ENCODING

    - #### IS_PDF_EMBEDDED

          public static final JRTextAttribute IS_PDF_EMBEDDED

    - #### HYPERLINK

          public static final JRTextAttribute HYPERLINK

    - #### SEARCH_HIGHLIGHT

          public static final JRTextAttribute SEARCH_HIGHLIGHT

  - ### Method Detail

    - #### readResolve

          protected java.lang.Object readResolve()
                                          throws java.io.InvalidObjectException

      Resolves instances being deserialized to the predefined constants.
      Overrides:
        `readResolve` in class `java.text.AttributedCharacterIterator.Attribute`
      Throws:
        `java.io.InvalidObjectException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com